org.apache.ignite.internal.processors.cache.query.continuous

## Class SecurityAwareTransformerFactory<E,R>

- java.lang.Object
- - org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable<javax.cache.configuration.Factory<IgniteClosure<E,R>>>
  - - org.apache.ignite.internal.processors.cache.query.continuous.SecurityAwareTransformerFactory<E,R>

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.configuration.Factory<IgniteClosure<E,R>>, GridInternalWrapper<javax.cache.configuration.Factory<IgniteClosure<E,R>>>

    public class SecurityAwareTransformerFactory<E,R>
    extends AbstractSecurityAwareExternalizable<javax.cache.configuration.Factory<IgniteClosure<E,R>>>
    implements javax.cache.configuration.Factory<IgniteClosure<E,R>>

Security aware transformer factory.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`ignite, original, subjectId`

### Constructor Summary

Constructors
Constructor and Description
`SecurityAwareTransformerFactory()` Default constructor.
`SecurityAwareTransformerFactory(UUID subjectId, javax.cache.configuration.Factory<IgniteClosure<E,R>> original)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteClosure<E,R>` `create()`

### Methods inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`logAccessDeniedMessage, readExternal, userObject, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityAwareTransformerFactory

    public SecurityAwareTransformerFactory()

Default constructor.

#### SecurityAwareTransformerFactory

    public SecurityAwareTransformerFactory(UUID subjectId,
                                           javax.cache.configuration.Factory<IgniteClosure<E,R>> original)

Parameters:
  `subjectId` - Security subject id.
  `original` - Original factory.

### Method Detail

#### create

    public IgniteClosure<E,R> create()

Specified by:
  `create` in interface `javax.cache.configuration.Factory<IgniteClosure<E,R>>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020